Subject: Re: [PATCH RFC net-next v1 1/9] ptp: introduce programmable pins.

From: Richard Cochran <[email-masked]>
Date: Tue, 11 Mar 2014 11:08:19 +0100

On Tue, Mar 11, 2014 at 08:58:45AM +0100, Christian Riesch wrote:
> >+	if (pin1 && pin1->func == PTP_PF_PHYSYNC) {
> >+		pr_err("sorry, cannot reprogram the calibration pin\n");
> >+		return -EINVAL;
> 
>            ^^^^
> Will this ever happen? pin1 && pin1->func == PTP_PF_PHYSYNC means
> that func == PTP_PF_PHYSYNC, but in this case you already return
> -EINVAL a few lines above.

This a bug. I really meant to test (pin2->func == PTP_PF_PHYSYNC) to
prevent clobbering the calibration function with some other function.
I'll fix it for v2.

Thanks,
Richard